
Ruby - Bug #10842

rake update to 10.4.2 -> Segmentation fault : ruby 2.1.5p273 (2014-11-13 revision 48405)

[x64-mingw32]

02/09/2015 12:44 PM - Javix (Sergueï Cambour)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 2.1.5 Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2:

UNKNOWN

Description

I tried to update the existing rake gem up to 10.4.2:

download the latest version from rubygems and save it locally

run gem install rake -l -N to install it locally

got the below error:

C:\Users\XXXXX\Documents\Soft\gems>gem update rake -l

Updating installed gems

ERROR:  While executing gem ... (Gem::RemoteFetcher::UnknownHostError)

    no such name (https://rubygems.org/specs.4.8.gz)

C:\Users\XXXXX\Documents\Soft\gems>gem install rake -l

rake's executable "rake" conflicts with C:/Ruby21-x64/bin/rake

Overwrite the executable? [yN]  C:/Ruby21-x64/lib/ruby/2.1.0/rubygems/user_interaction.rb:286: [BU

G] Segmentat

ion fault

ruby 2.1.5p273 (2014-11-13 revision 48405) [x64-mingw32].

 See the full stack trace at this gist: https://gist.github.com/Javix/d9b8e820dbb6943827aa.

Reproduced on a Windows PC:

Windows 7, 64 bits

Ruby ruby 2.1.5p273 (2014-11-13 revision 48405) [x64-mingw32]

History

#1 - 02/09/2015 12:51 PM - nobu (Nobuyoshi Nakada)

- Description updated

- Status changed from Open to Feedback

Do you run it in a "Command Prompt"?

#2 - 08/12/2019 02:22 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed
